package main

import (
	"bytes"
	"io/ioutil"
	"net/http"
	"os"
	"os/user"
	"strings"

	"go.wit.com/log"
)

func httpPost(url string, data []byte) ([]byte, error) {
	var err error
	var req *http.Request

	// data := []byte("some junk")
	// url := "https://go.wit.com/register/"

	req, err = http.NewRequest(http.MethodPost, url, bytes.NewBuffer(data))

	usr, _ := user.Current()
	req.Header.Set("author", usr.Username)
	hostname, _ := os.Hostname()
	req.Header.Set("hostname", hostname)

	client := &http.Client{}
	resp, err := client.Do(req)
	if err != nil {
		log.Error(err)
		return nil, err
	}
	defer resp.Body.Close()

	body, err := ioutil.ReadAll(resp.Body)
	if err != nil {
		log.Error(err)
		return body, err
	}

	test := strings.TrimSpace(string(body))
	log.Info("go.wit.com returned body:", test)
	if test == "OK" {
		return body, nil
	}

	return body, nil
}
