package main

import (
	"time"

	pb "go.wit.com/lib/protobuf/virtbuf"
)

var me virtigoT

// disable the GUI
func (b *virtigoT) Disable() {
	// b.mainbox.Disable()
}

// enable the GUI
func (b *virtigoT) Enable() {
	// b.mainbox.Enable()
}

// this app's variables
type virtigoT struct {
	cluster *pb.NewCluster // basic cluster settings
	// newc                  *pb.NewCluster             // basic cluster settings
	e                     *pb.Events                 // virtbuf events
	hmap                  map[*pb.Hypervisor]*HyperT // map to the local struct
	names                 []string
	hypers                []*HyperT
	killcount             int
	unstable              time.Time // the last time the cluster was incorrect
	changed               bool
	hyperPollDelay        time.Duration // how often to poll the hypervisors
	unstableTimeout       time.Duration // how long a droplet can be unstable until it's declared dead
	clusterStableDuration time.Duration // how long the cluster must be stable before new droplets can be started
	missingDropletTimeout time.Duration // how long a droplet can be missing for
}

// the stuff that is needed for a hypervisor
type HyperT struct {
	pb           *pb.Hypervisor       // the Hypervisor protobuf
	dog          *time.Ticker         // the watchdog timer itself
	lastpoll     time.Time            // the last time the hypervisor polled
	lastDroplets map[string]time.Time // the vm's in the last poll
	killcount    int                  // how many times the daemon has been forcably killed
}
